# std::list::pop_front

From cppreference.com
< cpp‎ | container‎ | list

void pop_front(); |  |

Removes the first element of the container.

References and iterators to the erased element are invalidated.

### Parameters

(none)

### Return value

(none)

### Complexity

Constant.

### Exceptions

Does not throw.

### See also

pop_back | removes the last element (public member function)
push_front | inserts an element to the beginning (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/container/list/pop_front&oldid=50534"